/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	COLORS:		DISPLAY COLORIZATION			     */


#ifndef __XC_COLORS_H
#define __XC_COLORS_H


/* eXtended C Library: */
#include <xc/version.h>		/* VERSION OF EXTENDED C LIBRARY	     */


/******************************************************
 * ECMA-48/ISO 6429/ANSI X3.64 Set Graphics Rendition *
 ******************************************************/


#define SGR_RESET		_XC_ESC_STRING "[0m"

#define SGR_BOLD		_XC_ESC_STRING "[1m"
#define SGR_BOLD_OFF		_XC_ESC_STRING "[22m"
#define SGR_UNDERLINE		_XC_ESC_STRING "[4m"
#define SGR_UNDERLINE_OFF	_XC_ESC_STRING "[24m"
#define SGR_BLINK		_XC_ESC_STRING "[5m"
#define SGR_BLINK_OFF		_XC_ESC_STRING "[25m"
#define SGR_REVERSE		_XC_ESC_STRING "[7m"
#define SGR_REVERSE_OFF		_XC_ESC_STRING "[27m"

#define SGR_BLACK		_XC_ESC_STRING "[30m"
#define SGR_RED			_XC_ESC_STRING "[31m"
#define SGR_GREEN		_XC_ESC_STRING "[32m"
#define SGR_YELLOW		_XC_ESC_STRING "[33m"
#define SGR_BLUE		_XC_ESC_STRING "[34m"
#define SGR_MAGENTA		_XC_ESC_STRING "[35m"
#define SGR_CYAN		_XC_ESC_STRING "[36m"
#define SGR_WHITE		_XC_ESC_STRING "[37m"
#define SGR_DEFAULT		_XC_ESC_STRING "[39m"

#define SGR_BG_BLACK		_XC_ESC_STRING "[40m"
#define SGR_BG_RED		_XC_ESC_STRING "[41m"
#define SGR_BG_GREEN		_XC_ESC_STRING "[42m"
#define SGR_BG_YELLOW		_XC_ESC_STRING "[43m"
#define SGR_BG_BLUE		_XC_ESC_STRING "[44m"
#define SGR_BG_MAGENTA		_XC_ESC_STRING "[45m"
#define SGR_BG_CYAN		_XC_ESC_STRING "[46m"
#define SGR_BG_WHITE		_XC_ESC_STRING "[47m"
#define SGR_BG_DEFAULT		_XC_ESC_STRING "[49m"


#endif /* XC COLORS HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
