/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	PROGRAM:	PROGRAM INVOCATION NAME			     */


#ifndef __XC_PROGRAM_H
#define __XC_PROGRAM_H


/* eXtended C Library: */
#include <xc/cdecl.h>		/* C DECLARATIONS			     */


#define program_invocation_name\
	(*__xcint(program_invocation_name_location)())
#define program_invocation_short_name\
	(*__xcint(program_invocation_short_name_location)())


_CDECL char **__xcint(program_invocation_name_location)(void);
_CDECL char **__xcint(program_invocation_short_name_location)(void);


#endif /* XC PROGRAM HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
